
local function destroy(...)
	for _,f in ipairs({...}) do
		destroy(f:GetChildren())

		_G[f:GetName()] = nil
		f:Hide()
		f:SetParent(nil)
		f:UnregisterAllEvents()
		f:ClearAllPoints()
		f:SetBackdrop(nil)
		f:SetID(0)

		for k in pairs(f) do
			if k ~= 0 then
				f[k] = nil
			end
		end
	end
end

destroy(CompactRaidFrameManager, CompactUnitFrameProfiles)

-- Explicitly update the RaidGroupFrame (the raid tab), to initialize some data
-- that seems to stay uninitialized otherwise.
-- Fixes 'Blizzard_RaidUI\Blizzard_RaidUI.lua:87: attempt to compare number with nil'.
RaidGroupFrame_Update()
